author | Junio C Hamano <gitster@pobox.com> | |
Sat, 25 Jul 2009 07:45:03 +0000 (00:45 -0700) | ||
committer | Junio C Hamano <gitster@pobox.com> | |
Sat, 25 Jul 2009 07:45:03 +0000 (00:45 -0700) |
* js/maint-graft-unhide-true-parents:
git repack: keep commits hidden by a graft
Add a test showing that 'git repack' throws away grafted-away parents
Conflicts:
git-repack.sh
git repack: keep commits hidden by a graft
Add a test showing that 'git repack' throws away grafted-away parents
Conflicts:
git-repack.sh
1 | 2 | |||
---|---|---|---|---|
builtin-pack-objects.c | patch | | diff1 | | diff2 | | blob | history |
cache.h | patch | | diff1 | | diff2 | | blob | history |
commit.c | patch | | diff1 | | diff2 | | blob | history |
environment.c | patch | | diff1 | | diff2 | | blob | history |
git-repack.sh | patch | | diff1 | | diff2 | | blob | history |
diff --cc builtin-pack-objects.c
Simple merge
diff --cc cache.h
Simple merge
diff --cc commit.c
Simple merge
diff --cc environment.c
Simple merge
diff --cc git-repack.sh
index 1bf239499c7bdb04622ea6fa239bd7c0ace42065,be0c8435dccabd686ec07808c67f5cf569209ee2..1eb3bca352f38ec3807383cc5fff7f7e62731b2b
--- 1/git-repack.sh
--- 2/git-repack.sh
+++ b/git-repack.sh
;;
esac
-args="$args $local $quiet $no_reuse$extra"
+args="$args $local ${GIT_QUIET:+-q} $no_reuse$extra"
- names=$(git pack-objects --honor-pack-keep --non-empty --all --reflog $args </dev/null "$PACKTMP") ||
+ names=$(git pack-objects --keep-true-parents --honor-pack-keep --non-empty --all --reflog $args </dev/null "$PACKTMP") ||
exit 1
if [ -z "$names" ]; then
- if test -z "$quiet"; then
- echo Nothing new to pack.
- fi
+ say Nothing new to pack.
fi
# Ok we have prepared all new packfiles.